package de.tu_dresden.diplom.richter_mirko_mat2628335.common.evidence;

import org.apache.log4j.Logger;

/**
 * Default-Implementation of an evidence that was extracted aut of the Step-Context
 * within the request-phase
 */
public class RequestStepContextEvidence implements IFRequestStepContextEvidence{

   private static final Logger logger = Logger.getLogger(RequestStepContextEvidence.class);

   private IFResponseStepContextEvidence responseStepContextEvidence = null;

   /**
    * @see IFRequestStepContextEvidence#isProofed()
    */
   public boolean isProofed() {
      boolean result = true;
      return result;
   }

   /**
    * @see IFRequestStepContextEvidence#getResponseStepContextEvidence()
    */
   public IFResponseStepContextEvidence getResponseStepContextEvidence() {
      return responseStepContextEvidence;
   }

   /**
    * @see IFRequestStepContextEvidence#setResponseStepContextEvidence(IFResponseStepContextEvidence)
    */
   public void setResponseStepContextEvidence(IFResponseStepContextEvidence responseStepContextEvidence) {
      this.responseStepContextEvidence = responseStepContextEvidence;
   }
}
